Package com.microblink.blinkid.recognition

# Enum Class RecognitionSuccessType

java.lang.Object
java.lang.Enum<RecognitionSuccessType>
com.microblink.blinkid.recognition.RecognitionSuccessType

All Implemented Interfaces:
  `Serializable`, `Comparable<RecognitionSuccessType>`, `Constable`

public enum RecognitionSuccessType extends Enum<RecognitionSuccessType>
Type of recognition that has been performed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PARTIAL`
  Recognition was partial (some data found).
  `STAGE_SUCCESSFUL`
  Recognition has successfully completed one stage (one side of the document has been scanned).
  `SUCCESSFUL`
  Recognition performed successfully (all data found).
  `UNSUCCESSFUL`
  Recognition performed unsuccessfully (no data found).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecognitionSuccessType`
  `fromNativeRecognitionState(int nativeState)`
  `static RecognitionSuccessType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RecognitionSuccessType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSUCCESSFUL

    public static final RecognitionSuccessType UNSUCCESSFUL
    Recognition performed unsuccessfully (no data found). Returned when all used recognizers have empty results.

  - ### PARTIAL

    public static final RecognitionSuccessType PARTIAL
    Recognition was partial (some data found). Returned when at least one recognizer result is uncertain and no recognizer result is valid or stage valid.

  - ### SUCCESSFUL

    public static final RecognitionSuccessType SUCCESSFUL
    Recognition performed successfully (all data found). Returned when at least one recognizer has valid result.

  - ### STAGE_SUCCESSFUL

    public static final RecognitionSuccessType STAGE_SUCCESSFUL
    Recognition has successfully completed one stage (one side of the document has been scanned). Returned when at least one recognizer result is stage valid and no recognizer result is valid.

- ## Method Details

  - ### values

    public static RecognitionSuccessType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RecognitionSuccessType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromNativeRecognitionState

    public static RecognitionSuccessType fromNativeRecognitionState(int nativeState)